### Method

# Snapd Alias get_app_auto

since: 1.25

#### Declaration [src]

    const gchar*
    snapd_alias_get_app_auto (
      SnapdAlias* alias
    )

#### Description [src]

Get the app this alias has been automatically set to (status is `SNAPD_ALIAS_STATUS_AUTO`). Can be overridden when status is `SNAPD_ALIAS_STATUS_MANUAL`.

Available since: 1.25

Gets property | `Snapd.Alias:app-auto`

#### Return value

Type: `const gchar*`

An app name or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.